"""
Közvetelen bekötésű 16x2 LCD inicializálása (az LCD-t vezérlő 
jelek közvetlenül a mikrovezérlő portkivezetéseiről jönnek).

Lásd pl.: https://learn.adafruit.com/character-lcds/python-circuitpython
"""

import board
import digitalio
import adafruit_character_lcd.character_lcd as characterlcd

lcd_rs = digitalio.DigitalInOut(board.B4)
lcd_en = digitalio.DigitalInOut(board.B5)
lcd_d7 = digitalio.DigitalInOut(board.B9)
lcd_d6 = digitalio.DigitalInOut(board.B8)
lcd_d5 = digitalio.DigitalInOut(board.B7)
lcd_d4 = digitalio.DigitalInOut(board.B6)
lcd_backlight = digitalio.DigitalInOut(board.A15)

# Az LCD inicializálása
lcd = characterlcd.Character_LCD_Mono(
    lcd_rs, lcd_en, lcd_d4, lcd_d5, lcd_d6, lcd_d7, 16, 2, lcd_backlight
)
 
lcd.backlight = True               # Háttérvilágítás bekapcsolása
lcd.clear()                        # Képernyő törlése
lcd.message = "CircuitPython\nLCD display"
