"""
Send NTP request by socket programming and print the
answer (the actual time) in the console window.
"""

import socket
import struct
import time

NTP_SERVER = "hu.pool.ntp.org"
TIME1970 = 2208988800  # Thanks to F.Lundh

def sntp_client():
    client = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    data = '\x1b' + 47 * '\0'
    client.sendto(data.encode(), (NTP_SERVER, 123))
    data, address = client.recvfrom(1024)
    if data:
        print('Response received from:', address)
    t = struct.unpack('!12I', data)[10]
    t -= TIME1970
    print('\tTime=%s' % time.ctime(t))

if __name__ == '__main__':
    sntp_client()