"""
This code will send a GET request to the OpenWeatherMap API, 
asking for the current weather data for Debrecen in Hungary, 
and parse the JSON data returned in the response. 
The parsed data will be printed on the console.

Note that the http.client library is part of the Python 
standard library, so no additional installation is required.

You'll need to replace YOUR_API_KEY_HERE with your own API key, 
which you can get by signing up for a free account at 
https://home.openweathermap.org/users/sign_up
"""

import http.client

# OpenWeatherMap API endpoint and API key
endpoint = "api.openweathermap.org"
api_key = "YOUR_API_KEY_HERE"

# Create an HTTP connection
conn = http.client.HTTPSConnection(endpoint)

# Define the city
city = "Debrecen"

# Make a GET request to the OpenWeatherMap API
conn.request("GET", f"/data/2.5/weather?q={city}&appid={api_key}")

# Get the response from the server
res = conn.getresponse()

# Read and print the response
data = res.read()
print(data.decode())

# Close the connection
conn.close()
