"""
Q: Write a Python program to download actual weather data for Debrecen, Hungary.
A: Here is a Python program that uses the OpenWeatherMap API to download actual
   weather data for Debrecen, Hungary.

   This program sends a GET request to the OpenWeatherMap API using the requests
   module, and it includes the location and units parameters in the request.
   The API returns a JSON object containing the weather data, which is then printed
   to the console.

   Remember to replace "YOUR_API_KEY_HERE" with your actual API key. You can sign up
   for a free API key at https://home.openweathermap.org/users/sign_up .

   Make sure that you have the requests library installed. You can install it by 
   running 'pip install requests' in your command line.

   (Sample discussion with AI at https://chat.openai.com/chat )

"""

import requests

# Set the API endpoint and your API key
API_ENDPOINT = "https://api.openweathermap.org/data/2.5/weather"
API_KEY = "YOUR_API_KEY_HERE"

# Set the location parameters
LOCATION_NAME = "Debrecen, Hungary"
LOCATION_LAT = "47.53"
LOCATION_LON = "21.62"

# Set the units
UNITS = "metric"

# Set up the request parameters
params = {
    "q": LOCATION_NAME,
    "lat": LOCATION_LAT,
    "lon": LOCATION_LON,
    "units": UNITS,
    "appid": API_KEY
}

# Make the request
response = requests.get(API_ENDPOINT, params=params)
print(response.json())


