"""
Simple Python program for sending text through the serial port.
The program requires the pyserial module, which should be 
installed first by issuing the command: 'pip install pyserial'
"""
import serial
import time

# configure the serial port
ser = serial.Serial(
    port='COM5',
    baudrate=9600,
    parity=serial.PARITY_NONE,
    stopbits=serial.STOPBITS_ONE,
    bytesize=serial.EIGHTBITS,
    timeout=1
)

# send the text to the serial port
text = "Hello Pista#from Python 3.10\r"
ser.write(text.encode())
ser.flush()
# wait for the text to be displayed on the LCD
time.sleep(1)

# close the serial port
ser.close()
